Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Enumerations
datapush Module Reference

The datapush module contains the definition of the JSON-encoded datapush messages. More...

## Classes
struct | AssetLogPushMessage
| Message for pushing one full log record for all sensors. More...
struct | AssetStrip
struct | AssetStripInfo
struct | AssetStripsMessage
struct | Device
| Device information. More...
struct | LogRow
| One full log row (one timestamp, mulitple sensors) More...
struct | Sensor
| Sensor information. More...
struct | SensorLogPushMessage
| Message for pushing one full log record for all sensors. More...

## Enumerations
enum | PowerLine { L1 , L2 , L3 , NEUTRAL , EARTH , PLUS , MINUS }
enum | DeviceType { INLET , INLET_POLE , OCP , OCP_POLE , OUTLET , OUTLET_POLE , WIRE , WIRE_POLE , TRANSFER_SWITCH , TRANSFER_SWITCH_POLE , EXTERNAL_SENSOR , POWER_METER , POWER_METER_POLE , PANEL_CIRCUIT , PANEL_CIRCUIT_POLE , PDU , OUTLET_GROUP , INLET_LINE_PAIR }
| Device type. More...

## Detailed Description

The datapush module contains the definition of the JSON-encoded datapush messages.

The standard rules for enconding apply.

Example of JSON-encoded Datapush message

## Enumeration Type Documentation

## ◆ DeviceType

enum datapush::DeviceType

Device type.

Enumerator
INLET | Inlet.
INLET_POLE | Inlet Pole.
OCP | Overcurrent Protector.
OCP_POLE | Overcurrent Protector Pole.
OUTLET | Outlet.
OUTLET_POLE | Outlet Pole.
WIRE | Wire.
WIRE_POLE | Wire Pole.
TRANSFER_SWITCH | Transfer Switch.
TRANSFER_SWITCH_POLE | Transfer Switch Pole.
EXTERNAL_SENSOR | External Sensor.
POWER_METER | Power Meter.
POWER_METER_POLE | Power Meter Pole.
PANEL_CIRCUIT | Circuit in a PMC Panel.
PANEL_CIRCUIT_POLE | Circuit Pole in a PMC Panel.
PDU | PDU global.
OUTLET_GROUP | Outlet group,.
INLET_LINE_PAIR | Inlet Line Pair (line-line sensor)

## ◆ PowerLine

enum datapush::PowerLine

Enumerator
L1 | Line 1.
L2 | Line 2.
L3 | Line 3.
NEUTRAL | Neutral.
EARTH | Earth.
PLUS | Positive (DC)
MINUS | Negative (DC)